	li W0 27
	li W1 5
	la W15 div
	jmp W15 W12
	output 0 W3
	output 1 W0
end:    la W15 end
	jmp W15
	

div:
	li W3 0

div_1:
	li W2 1
	move W4 W1

	la W15 div_end

	sub W7 W0 W4
	jmpnc W15

	la W15 div_0

	move W8 W7
	
	addu W4 W4 W4
	sub W7 W0 W4
	jmpnc W15

	move W8 W7
	
	addu W4 W4 W4
	addu W2 W2 W2
	sub W7 W0 W4
	jmpnc W15

	move W8 W7
	
	addu W4 W4 W4
	addu W2 W2 W2
	sub W7 W0 W4
	jmpnc W15

div_0:	addu W3 W3 W2
	move W0 W8
	la W15 div_1
	jmp W15

div_end:
	jmp W12
